{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.myConfig.shell.neovim;
in {
  options.myConfig.shell.neovim = {
    enable = lib.mkEnableOption "neovim";
  };

  config = lib.mkIf cfg.enable {
    programs.neovim = {
      enable = true;
      defaultEditor = true;
      plugins = with pkgs.vimPlugins; [
        {
          plugin = lazy-nvim;
          config = ''require "lazy_setup"'';
        }
      ];
    };
  };
}
