{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.sway.mako;
in {
  options.myConfig.sway.mako = {
    enable = lib.mkEnableOption "mako, a notification deamon";
  };

  config = lib.mkIf cfg.enable {
    services.mako = {
      enable = true;
      actions = true;
      anchor = "top-right";

      borderRadius = 10;
      borderSize = 2;
      height = 100;
      width = 400;

      defaultTimeout = 10000; # ms
      font = "FiraCode Nerd Font 11";
      icons = true;
      markup = true;
    };
  };
}
